Description: setup changes needed for Debian multiarch
Author: Alastair McKinstry <mckinstry@debian.org>
Last-Updated: 2020-12-28
Forwarded: no

--- a/setup.py
+++ b/setup.py
@@ -1,6 +1,7 @@
 import os, sys
 import glob
 import setuptools
+import subprocess
 from Cython.Distutils import build_ext
 
 
@@ -65,15 +66,23 @@
 ]
 # look for grib_api.h in searchdirs
 eccdir = None
+# Debian/Ubuntu
+st,reply = subprocess.getstatusoutput('dpkg-architecture --query DEB_HOST_MULTIARCH')
+if st != 0:
+    raise Exception("Multiarch check failed for pygrib %s" % reply)
+else:
+    arch=reply.strip()
 for d in searchdirs:
-    try:
-        incpath = os.path.join(os.path.join(d, "include"), "grib_api.h")
-        f = open(incpath)
+    incpath = os.path.join(os.path.join(d, "include"), "grib_api.h")
+    if os.path.exists(incpath):
+        eccdir = d
+        print("eccodes found in %s" % eccdir)
+        break
+    incpath = os.path.join(os.path.join(d, "include",arch), "grib_api.h")
+    if os.path.exists(incpath):
         eccdir = d
         print("eccodes found in %s" % eccdir)
         break
-    except IOError:
-        continue
 if eccdir is not None:
     incdirs = [os.path.join(eccdir, "include")]
     libdirs = [os.path.join(eccdir, "lib"), os.path.join(eccdir, "lib64")]
